<?php
error_log(E_ALL);
ini_set("display_error", 1);


function leer_environment()
{
	$rutaEnv = __DIR__  . '/.env';

	if (file_exists($rutaEnv)) {
		$content = file($rutaEnv);
		foreach ($content as $var) {
			list($variable_key, $variable_value) = explode("=", $var);
			$cleaned_key = trim($variable_key);
			$cleaned_value = trim($variable_value);
			putenv("$cleaned_key=$cleaned_value");
		}
	} else {
		error_log(".env file not found");
	}
}



function cargar_conexion()
{
	leer_environment();
	$maquina = getenv("DATABASE_ADDRS");
	$usuario = 'saireh_saireh' ; //getenv("DATABASE_USER");
	$clave = '?vf=c)xdG6(n' ; //getenv("DATABASE_PASSWORD");
	$db = getenv("DATABASE_NAME");
	$enlace = mysqli_connect($maquina, $usuario, $clave) or die('No pudo conectarse : ' . mysqli_error($enlace));
	mysqli_select_db($enlace, $db) or die('No pudo seleccionarse la Base de Datos:' . $db);
	mysqli_query($enlace, "SET NAMES 'UTF8';");
	return ($enlace);
}
function obtener_valor_diccionario($diccionario = array(), $llave = "")
{

	return array_key_exists($llave, $diccionario) ? $diccionario[$llave] : null;
}

function mostrar_antiguedad($tipo, $fecha_desde, $fecha_hasta)
{
	$array_nacimiento = explode("-", $fecha_desde);
	$array_actual = explode("-", $fecha_hasta);
	$anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos a�os
	$meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses
	$dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos d�as
	if ($dias < 0) {
		--$meses;
		//ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual
		switch ($array_actual[1]) {
			case 1:
				$dias_mes_anterior = 31;
				break;
			case 2:
				$dias_mes_anterior = 31;
				break;
			case 3:
				if (bisiesto($array_actual[0])) {
					$dias_mes_anterior = 29;
					break;
				} else {
					$dias_mes_anterior = 28;
					break;
				}
			case 4:
				$dias_mes_anterior = 31;
				break;
			case 5:
				$dias_mes_anterior = 30;
				break;
			case 6:
				$dias_mes_anterior = 31;
				break;
			case 7:
				$dias_mes_anterior = 30;
				break;
			case 8:
				$dias_mes_anterior = 31;
				break;
			case 9:
				$dias_mes_anterior = 31;
				break;
			case 10:
				$dias_mes_anterior = 30;
				break;
			case 11:
				$dias_mes_anterior = 31;
				break;
			case 12:
				$dias_mes_anterior = 30;
				break;
		}
		$dias = $dias + $dias_mes_anterior;
	}
	//ajuste de posible negativo en $meses
	if ($meses < 0) {
		--$anos;
		$meses = $meses + 12;
	}
	if ($tipo == 1) return $anos;
	if ($tipo == 2) return $meses;
	if ($tipo == 3) return $dias;
}
function bisiesto($anio_actual)
{
	$bisiesto = false;
	//probamos si el mes de febrero del a�o actual tiene 29 d�as
	if (checkdate(2, 29, $anio_actual)) {
		$bisiesto = true;
	}
	return $bisiesto;
}
function calcular_dias($f1, $f2)
{
	$ano1 = substr($f1, 0, 4);
	$mes1 = substr($f1, 5, 2);
	$dia1 = substr($f1, 8, 2);
	$ano2 = substr($f2, 0, 4);
	$mes2 = substr($f2, 5, 2);
	$dia2 = substr($f2, 8, 2);
	$timestamp1 = mktime(0, 0, 0, $mes1, $dia1, $ano1);
	$timestamp2 = mktime(0, 0, 0, $mes2, $dia2, $ano2);
	$segundos_diferencia = $timestamp1 - $timestamp2;
	$dias_diferencia = $segundos_diferencia / (60 * 60 * 24);
	$dias_diferencia = abs($dias_diferencia);
	$dias_diferencia = floor($dias_diferencia);
	return ($dias_diferencia);
}
function calculodiasNueva($f1, $f2)
{
	$ano1 = substr($f1, 0, 4);
	$mes1 = substr($f1, 5, 2);
	$dia1 = substr($f1, 8, 2);
	$ano2 = substr($f2, 0, 4);
	$mes2 = substr($f2, 5, 2);
	$dia2 = substr($f2, 8, 2);
	$difanhos = 0;
	$difmeses = 0;
	$difdias = 0;
	$difanhos = $f2 - $f1;
	if ($mes2 < $mes1) {
		$difanhos--;
		$mes2 += 12;
	}
	$difmeses = $mes2 - $mes1;
	if ($dia2 < $dia1) {
		$difmeses--;
		$dia2 += 30;
	}
	$difdias = $dia2 - $dia1;
	return array($difanhos, $difmeses, $difdias);
}

function calcular_meses($fi, $ff)
{
	$meses = (substr($ff, 8, 2) >= substr($fi, 8, 2) ? -1 : 0);
	while ($fi <= $ff) {
		$meses++;
		$fi = date("Y/m/d", strtotime("$fi+1 month"));
	}
	return ($meses < 0 ? 0 : $meses);
}
function sumar_dias($fecha, $ndias)
{
	if (preg_match("/[0-9]{1,2}\/[0-9]{1,2}\/([0-9][0-9]){1,2}/", $fecha))
		list($dia, $mes, $año) = preg_split("/", $fecha);
	if (preg_match("/[0-9]{1,2}-[0-9]{1,2}-([0-9][0-9]){1,2}/", $fecha))
		list($dia, $mes, $año) = preg_split("-", $fecha);
	$nueva = mktime(0, 0, 0, $mes, $dia, $año) + $ndias * 24 * 60 * 60;
	$nuevafecha = date("d-m-Y", $nueva);
	return ($nuevafecha);
}
function fecha()
{
	return (date("%Y-%m-%d"));
}
function fecha_larga($fecha)
{
	$d = substr($fecha, 0, 2);
	$m = substr($fecha, 3, 2);
	$a = substr($fecha, 6, 4);
	switch ($m) {
		case 1:
			$m = 'Enero';
			break;
		case 2:
			$m = 'Febrero';
			break;
		case 3:
			$m = 'Marzo';
			break;
		case 4:
			$m = 'Abril';
			break;
		case 5:
			$m = 'Mayo';
			break;
		case 6:
			$m = 'Junio';
			break;
		case 7:
			$m = 'Julio';
			break;
		case 8:
			$m = 'Agosto';
			break;
		case 9:
			$m = 'Septiembre';
			break;
		case 10:
			$m = 'Octubre';
			break;
		case 11:
			$m = 'Noviembre';
			break;
		case 12:
			$m = 'Diciembre';
			break;
	}
	$fecha = $d . ' de ' . $m . ' del ' . $a;
	return ($fecha);
}
function incrementar_fecha($dia, $mes, $ano, $ndias)
{
	$nueva = mktime(0, 0, 0, $mes, $dia, $ano) + $ndias * 24 * 60 * 60;
	$desde = date("Y-m-d", $nueva);
	return ($desde);
}
function dia_semana($dia, $mes, $ano)
{
	$dias = array('1', '2', '3', '4', '5', '6', '7');
	return $dias[date("w", mktime(0, 0, 0, $mes, $dia, $ano))];
}
// funcion para mostrar select en TRABAJADORES
function mes($m)
{
	$m = $m + 0;
	switch ($m) {
		case 1:
			$m = 'Ene';
			break;
		case 2:
			$m = 'Feb';
			break;
		case 3:
			$m = 'Mar';
			break;
		case 4:
			$m = 'Abr';
			break;
		case 5:
			$m = 'May';
			break;
		case 6:
			$m = 'Jun';
			break;
		case 7:
			$m = 'Jul';
			break;
		case 8:
			$m = 'Ago';
			break;
		case 9:
			$m = 'Sep';
			break;
		case 10:
			$m = 'Oct';
			break;
		case 11:
			$m = 'Nov';
			break;
		case 12:
			$m = 'Dic';
			break;
	}
	return ($m);
}
function mes_largo($m)
{
	$m = $m + 0;
	switch ($m) {
		case 1:
			$m = 'Enero';
			break;
		case 2:
			$m = 'Febrero';
			break;
		case 3:
			$m = 'Marzo';
			break;
		case 4:
			$m = 'Abril';
			break;
		case 5:
			$m = 'Mayo';
			break;
		case 6:
			$m = 'Junio';
			break;
		case 7:
			$m = 'Julio';
			break;
		case 8:
			$m = 'Agosto';
			break;
		case 9:
			$m = 'Septiembre';
			break;
		case 10:
			$m = 'Octubre';
			break;
		case 11:
			$m = 'Noviembre';
			break;
		case 12:
			$m = 'Diciembre';
			break;
	}
	return ($m);
}
function after($_this, $inthat)
{
	if (!is_bool(strpos($inthat, $_this)))
		return substr($inthat, strpos($inthat, $_this) + strlen($_this));
}
function before($_this, $inthat)
{
	return substr($inthat, 0, strpos($inthat, $_this));
}
function mostrar_fecha($fecha)
{
	return (substr($fecha, 8, 2) . "-" . substr($fecha, 5, 2) . "-" . substr($fecha, 0, 4));
}
function crear_fecha($fecha)
{
	return (substr($fecha, 4, 4) . "-" . substr($fecha, 2, 2) . "-" . substr($fecha, 0, 2));
}
function unir_fecha($fecha)
{
	return (substr($fecha, 8, 2) . substr($fecha, 5, 2) . substr($fecha, 0, 4));
}
function fecha_mysql($fecha)
{
	return (substr($fecha, 6, 4) . "-" . substr($fecha, 3, 2) . "-" . substr($fecha, 0, 2));
}

function cargar_select($enlace, $tabla, $label)
{
	$query = "select * from tablas where tabla = ucase('" . $tabla . "') and id='" . $_SESSION['id_validar'] . "' ";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:300px;' name = '" . $tabla . "'>";
	echo "<option width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			echo "<option width = '30%'>" . $row['codigo'] . " - " . $row['detalle'];
		}
	}
	echo "</select>";
	echo "</td>";
}
////FUNCIONES PARA MOSTRAR TABLAS GLOBALES

///mostrar estados de Venezuela
function mostrar_estados_ven($enlace, $tabla, $dato)
{
	$data = '';
	$query = "select * from estados_ven where codigo_estado='" . $dato . "' ";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		$data = $row['estado'];
	}
	return ($data);
}



///mostrar nunicipios de Venezuela
function mostrar_municipios_ven($enlace, $tabla, $dato)
{
	$data = '';
	$query = "select * from municipios_ven where codigo_mcpio='" . $dato . "' ";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		$data = $row['municipio'];
	}
	return ($data);
}

///mostrar Paises del Mundo
function mostrar_paises($enlace, $tabla, $dato)
{
	$data = '';
	$query = "select * from paises where codigo_pais='" . $dato . "' ";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		$data = $row['detalle_pais'];
	}
	return ($data);
}


// funcion para mostrar select en MODIFICAR TRABAJADORES
function mostrar_tabla($enlace, $tabla, $dato)
{
	$data = '';
	$query = "select * from tablas where tabla = ucase('" . $tabla . "') and codigo='" . $dato . "' and id='" . $_SESSION['id_validar'] . "' ";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		$data = $row['detalle'];
	}
	return ($data);
}
function cargar_select_modificar($enlace, $tabla, $label, $campo)
{
	$query = "select * from tablas where tabla = ucase('" . $tabla . "') and id='" . $_SESSION['id_validar'] . "'order by detalle asc ";
	$consulta = mysqli_query($enlace, $query) or die($query . " " . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:300px;' name = '" . $tabla . "'>";
	echo "<option  width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			if ($campo == $row['codigo']) echo "<option  width = '30%' selected>" . $row['codigo'] . " - " . $row['detalle'];
			else echo "<option  width = '30%'>" . $row['codigo'] . " - " . $row['detalle'];
		}
	}
	echo "</select>";
	echo "</td>";
}

//Quita los espacios innecesarios en una cadena al principio y al final, asi como espacios de mas entre palabras dejandolos en 1 solo.
function quitar_espacios($frase)
{
	$frase_formateada = preg_replace(array('/\s{2,}/', '/[\t\n]/'), ' ', $frase);
	return $frase_formateada;
}

////FUNCIONES PARA CARGAR SELECT GLOBALES DE TABLAS


function cargar_select_estados_ven($enlace, $tabla, $label)
{
	$query = "select * from estados_ven";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:300px;' name = 'estado'>";
	echo "<option width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			echo "<option width = '30%' value='" . trim($row['codigo_estado']) . "'>" . $row['codigo_estado'] . " - " . $row['estado'];
		}
	}
	echo "</select>";
	echo "</td>";
}
//Funciona cargar select estados nacimiento
function cargar_select_estados_nac($enlace, $tabla, $label)
{
	$query = "select * from estados_ven";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:300px;' name = 'edonac'>";
	echo "<option width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			echo "<option width = '30%' value='" . trim($row['cod_edo_nac']) . "'>" . $row['cod_edo_nac'] . " - " . $row['estado'];
		}
	}
	echo "</select>";
	echo "</td>";
}

function cargar_select_municipios_ven($enlace, $tabla, $label)
{
	$query = "select * from municipios_ven";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:300px;' name = 'municipio'>";
	echo "<option width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			echo "<option width = '30%' value='" . trim($row['codigo_mcpio']) . "'>" . $row['codigo_mcpio'] . " - " . $row['municipio'];
		}
	}
	echo "</select>";
	echo "</td>";
}

function cargar_select_paises($enlace, $tabla, $label)
{
	$query = "select * from paises";
	$consulta = mysqli_query($enlace, $query) or die("No se pudo realizar la consulta...");
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:300px;' name = 'pais'>";
	echo "<option width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			echo "<option width = '30%' value='" . trim($row['codigo_pais']) . "'>" . $row['codigo_pais'] . " - " . $row['detalle_pais'];
		}
	}
	echo "</select>";
	echo "</td>";
}

function cargar_select_modificar_estados_ven($enlace, $tabla, $label, $campo)
{

	$query = "select * from estados_ven";
	$consulta = mysqli_query($enlace, $query) or die($query . " " . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:200px;' name = 'estado'>";
	echo "<option  width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			if (trim($campo) == trim($row['codigo_estado'])) echo "<option  width = '30%' selected value='" . trim($row['codigo_estado']) . "'>" . $row['codigo_estado'] . " - " . $row['estado'];
			else echo "<option  width = '30%' value='" . trim($row['codigo_estado']) . "' >" . $row['codigo_estado'] . " - " . $row['estado'];
		}
	}
	echo "</select>";
	echo "</td>";
}

function cargar_select_modificar_estados_nac($enlace, $tabla, $label, $campo)
{

	$query = "select * from estados_ven";
	$consulta = mysqli_query($enlace, $query) or die($query . " " . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:200px;' name = 'edonac'>";
	echo "<option  width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			if (trim($campo) == trim($row['cod_edo_nac'])) echo "<option  width = '30%' selected value='" . trim($row['cod_edo_nac']) . "'>" . $row['cod_edo_nac'] . " - " . $row['estado'];
			else echo "<option  width = '30%' value='" . trim($row['cod_edo_nac']) . "' >" . $row['cod_edo_nac'] . " - " . $row['estado'];
		}
	}
	echo "</select>";
	echo "</td>";
}

function cargar_select_modificar_municipios_ven($enlace, $tabla, $label, $campo)
{

	$query = "select * from municipios_ven";
	$consulta = mysqli_query($enlace, $query) or die($query . " " . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:200px;' name = 'municipio'>";
	echo "<option  width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			if (trim($campo) == trim($row['codigo_mcpio'])) echo "<option  width = '30%' selected value='" . trim($row['codigo_mcpio']) . "'>" . $row['codigo_mcpio'] . " - " . $row['municipio'];
			else echo "<option  width = '30%' value='" . trim($row['codigo_mcpio']) . "' >" . $row['codigo_mcpio'] . " - " . $row['municipio'];
		}
	}
	echo "</select>";
	echo "</td>";
}

function cargar_select_modificar_paises($enlace, $tabla, $label, $campo)
{

	$query = "select * from paises";
	$consulta = mysqli_query($enlace, $query) or die($query . " " . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'right'> " . ($label) . ": </td>";
	echo "<td align = 'left'> <select style='width:200px;' name = 'pais'>";
	echo "<option  width = '30%'>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row = mysqli_fetch_array($consulta);
			if (trim($campo) == trim($row['codigo_pais'])) echo "<option  width = '30%' selected value='" . trim($row['codigo_pais']) . "'>" . $row['codigo_pais'] . " - " . $row['detalle_pais'];
			else echo "<option  width = '30%' value='" . trim($row['codigo_pais']) . "' >" . $row['codigo_pais'] . " - " . $row['detalle_pais'];
		}
	}
	echo "</select>";
	echo "</td>";
}
// funcion para GENERAR UN TEXTO DE FECHA
function hoy()
{
	$a = date("Y");
	$m = date("n");
	$d = date("j");
	switch ($m) {
		case 1:
			$m = 'Enero';
			break;
		case 2:
			$m = 'Febrero';
			break;
		case 3:
			$m = 'Marzo';
			break;
		case 4:
			$m = 'Abril';
			break;
		case 5:
			$m = 'Mayo';
			break;
		case 6:
			$m = 'Junio';
			break;
		case 7:
			$m = 'Julio';
			break;
		case 8:
			$m = 'Agosto';
			break;
		case 9:
			$m = 'Septiembre';
			break;
		case 10:
			$m = 'Octubre';
			break;
		case 11:
			$m = 'Noviembre';
			break;
		case 12:
			$m = 'Diciembre';
			break;
	}
	$fecha = $d . ' de ' . $m . ' del ' . $a;
	return ($fecha);
}
function mover_fecha($a, $m, $d)
{
	$d++;
	if ($d > 31 && $m == 1) {
		$d = 1;
		$m = 2;
	}
	if ($d > 29 && $m == 2) {
		$d = 1;
		$m = 3;
	}
	if ($d > 31 && $m == 3) {
		$d = 1;
		$m = 4;
	}
	if ($d > 30 && $m == 4) {
		$d = 1;
		$m = 5;
	}
	if ($d > 31 && $m == 5) {
		$d = 1;
		$m = 6;
	}
	if ($d > 30 && $m == 6) {
		$d = 1;
		$m = 7;
	}
	if ($d > 31 && $m == 7) {
		$d = 1;
		$m = 8;
	}
	if ($d > 31 && $m == 8) {
		$d = 1;
		$m = 9;
	}
	if ($d > 30 && $m == 9) {
		$d = 1;
		$m = 10;
	}
	if ($d > 31 && $m == 10) {
		$d = 1;
		$m = 11;
	}
	if ($d > 30 && $m == 11) {
		$d = 1;
		$m = 12;
	}
	if ($d > 31 && $m == 12) {
		$d = 1;
		$m = 1;
		$a++;
	}
	$f = str_repeat("0", 4 - strlen($a)) . $a . "-" . str_repeat("0", 2 - strlen($m)) . $m . "-" . str_repeat("0", 2 - strlen($d)) . $d;
	return ($f);
}

function fecha_corta()
{
	$a = date("Y");
	$m = date("n");
	$d = date("j");
	$fecha = $d . '/' . $m . '/' . $a;
	return ($fecha);
}
function hora()
{
	$h = date("H");
	$m = date("i");
	$s = date("s");
	$hr = $h - 4;
	$cero = 0;
	if ($hr <= 9) {
		$hora = '0' . $hr . ':' . $m . ':' . $s;
	} else {
		$hora = $hr . ':' . $m . ':' . $s;
	}
	return ($hora);
}
function restafechas($startDate, $endDate)
{
	return "";
}
function menu()
{
	echo "<html><head><meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
		<title>[ SAIREH ]</title>
		<script language='javascript' src='fscript.js'></script>
		<link rel='stylesheet' type='text/css' href='styles.css' />
		<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>

		<link href='css-mag/bootstrap.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/style.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/slider.css' rel='stylesheet' type='text/css' media='all'/>
<link href='css-mag/nav.css' rel='stylesheet' type='text/css' media='all'/>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700,800,900' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300:700' rel='stylesheet' type='text/css'>

		</head>
		<body bgcolor='#f0f0e1'>


		<div class='header'>
		<div class='header_top'>
			<div class='container'>
			  <div class='headertop_nav'>";
	if ($_SESSION['id_validar'] == '0')
		echo '<font size=2 color=white>Bienvenido, <b>MASTER-Key</b>&nbsp;&nbsp;<img src="img2/icono_usuario.png"></font>';
	else echo '<img src="img2/icono_usuario2.png">&nbsp;&nbsp;<font size=2 color=white>Bienvenido(a), <b>' . $_SESSION['nombre_validar'] . '</b> / Empresa <b>' . $_SESSION['empresa_validar'] . '</b></font>';

	if ($_SESSION['per_validar'] != '')
		echo '<font size=2 color=white> / Per&iacute;odo: ' . $_SESSION["per_validar"] . '</font>';
	echo "
			</div>
		    <div class='header-top-right'>
		        <div class='login_box'>
	    		   <div id='loginContainer'>
	                  ";
	//====== inicio buscador empresa

	if (($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['multiple'] || $_SESSION['cedula_validar'] != 'XX') &&  $_SESSION['acceso_validar'] != '' && substr($_SESSION['acceso_validar'], 27, 1) != '1') {
		echo "
					<div id='loginButton' class='active'><span class='active'><i class='search-icon'></i>Empresas</span></div>
					<select name='emp'  style='width:200px;	' onchange=\"location.href=this.value\">
					<option></option>";
		/*if ($_SESSION['usuario_validar']=='RDAVILA') $consulta="Select * from tab_usuario ".($query1==''?'':'where '.$query1)." order by rtrim(empresa),xxx";
					else $consulta="Select * from tab_usuario where tipo=0 ".$query1." order by rtrim(empresa),xxx";*/
		$where = "";
		if ($_SESSION['multiple']) {
			$where = " where id not in (" . $_SESSION['empresas'] . ") ";
		}

		$enlace = cargar_conexion();
		$consulta = "Select * from tab_usuario $where order by rtrim(empresa),xxx";
		$resultado = mysqli_query($enlace, $consulta) or die($consulta . mysqli_error($enlace));
		$cont = 0;
		while ($row = mysqli_fetch_array($resultado)) {
			if ($cont == 0) $db = 'XX';
			if ($db != $row['id']) {
?>
				<option value="menu.php?empresa=<? echo $row['xxx']; ?>"><? echo '[Id: ' . $row['id'] . '] ' . $row['empresa']; ?></option>
<?
			}
			$cont++;
			$db = $row['id'];
		}
		echo "</select>";
	} else {
		//echo "<div id='loginButton' class='active'><a href='menu_soporte.php' ><span class='active'><i class='search-icon'></i>Soporte</span></a></div>";
	}
	//====== Fin de buscador empresa

	echo " <div id='loginBox'>
	                    <form id='loginForm'>
	                        <div class='search_box'>
								<input type='text' value='Search' onfocus='this.value = '';' onblur='if (this.value == '') {this.value = 'Search';}'>
								<input type='submit' value=''>
							</div>
	                    </form>
	                </div>
	              </div>
	           </div>
			 </div>
			 <div class='clearfix'></div>
            </div>
		  </div>
		</div>

        <div class='header_bottom'>
		 	  <div class='container'>
				<div class='logo'>
					<a href='menu.php'><img src='img2/logo_saireh V 4_5_1-190x79.png'></a>
				</div>

			<div class='navigation'>
			<div>
              <label class='mobile_menu' for='mobile_menu'>
              <span>Menu</span>
              </label>
              <input id='mobile_menu' type='checkbox'>
				<ul class='nav'>";
	if ($_SESSION['cedula_validar']!='XX'){
		echo "<li class='dropdown'><a href='menu_personal.php'><span><b>INICIO</b></span></a>";
	}										
	//====== Inicio de Menu
	if (substr($_SESSION['acceso_validar'], 23, 1) == '1') {

		//====== Inicio de Inicio

		echo "<li class='dropdown'><a href='#'><span><b>INICIO</b></span></a>
			<ul>";
		if ($_SESSION['acceso_validar'] != '') echo "<li class='dropdown2'><a href='menu.php'><span><b><font color=#36C1E2>Inicio</font></b></span></a></li>";

		//echo "<li class='dropdown2'><a href='https://www.youtube.com/channel/UCxICsbcI2oHbtjDkfufHaLg' target='_blank'><span>Tutoriales</span></a></li>";
		if ($_SESSION['id_validar'] != '0' && $_SESSION['cedula_validar'] == '')
			echo "<li class='dropdown2'><a href='master_solicitud.php'><span>Solicitudes</span></a></li>";

		if (substr($_SESSION['acceso_validar'], 15, 1) == '1' 
			|| (
				($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['usuario_validar'] == 'SAIREHSOPORTE' ) 
				&& $_SESSION['id_validar'] != '0'
				)
		) {
			echo "<li class='dropdown2'><a href='#'><span><b><font color=#36C1E2>Master-Empresa >>></font></b></span></a>
					  <ul>

						<li class='dropdown2'><a href='prestaciones_parametro.php'><span>Par&aacute;metros de C&aacute;lculos</span></a></li>
						<li class='dropdown2'><a href='calculo_parametro.php'><span>Par&aacute;metros Generales</span></a></li>
						 <li class='dropdown2'><a href='master_nomina.php'><span>N&oacute;minas</span></a></li>
						 <li class='dropdown2'><a href='master_periodo.php'><span>Per&iacute;odo</span></a></li>
						 <li class='dropdown2'><a href='master_constante.php'><span>Constantes</span></a></li>
						 <li class='dropdown2'><a href='#'><span>Conceptos >>></span></a>
							<ul>
							   <li><a href='master_concepto.php'><span>Conceptos</span></a></li>
							   <li><a href='master_concepto_especial.php'><span>Conceptos Especiales</span></a></li>
							   <li><a href='master_concepto_empleado.php'><span>Desact. Trabajador</span></a></li>
							   <li><a href='master_concepto_nomina.php'><span>Desact. N&oacute;mina</span></a></li>
							   <li><a href='master_concepto_periodo.php'><span>Desact. Per&iacute;odo</span></a></li>
							   <li class='last'><a href='master_concepto_condicion.php'><span>Desact. Condici&oacute;n</span></a></li>
							</ul>
						 </li>
						 <li class='dropdown2'><a href='master_usuario.php'><span>Usuarios</span></a></li>";
			if (substr($_SESSION['acceso_validar'], 20, 1) == '1') echo "<li class='dropdown2'><a href='archivo_trabajador_contratos.php'><span>Crear Contratos</span></a></li>";
			if ($_SESSION['usuario_validar'] == 'RDAVILAs') echo "<li class='dropdown2'><a href='master_reproceso.php'><span><font color=#36C1E2>Reprocesar N&oacute;mina</font></span></a></li>";
			echo "
					  </ul>
				   </li>";
		}
		if ($_SESSION['usuario_validar'] == 'MASTER' ) {
			echo "<li class='dropdown2'><a href='#'><span><b><font color=#36C1E2>Master-Key >>></font></b></span></a>
					  <ul>";
			if ($_SESSION['usuario_validar'] == 'ERERRDAVILA') echo "<li><a href='master_empresa.php'><span><font color=#36C1E2>Crear Empresas</font></span></a></li>";
			echo "<li><a href='master_empresa.php'><span><font color=#36C1E2>Crear Empresas</font></span></a></li>";
			echo "<li><a href='master_tabla.php'><span>Copiar Estructuras</span></a></li>
						   <li><a href='master_copiar.php'><span>Copiar Conceptos</span></a></li>
						   <li><a href='master_importar.php'><span>Importar PERSONAL Excel</span></a></li>
						   <li><a href='master_interes.php'><span>Interes. BCV prestaciones</span></a></li>
						   <li><a href='master_interes_mora.php'><span>Interes. BCV Mora</span></a></li>
						   <li><a href='master_email.php'><span>Parametros de Correos</span></a></li>
						   <li><a href='master_solicitud_ver.php'><span>Ver Solicitudes</span></a></li>
						   <li><a href='master_soporte_ver.php'><span>Ver Soportes</span></a></li>
					  </ul>
				   </li>";
		}
		echo "<li class='dropdown2'><a target='_blank' href='https://www.consultarh.com/site/leyes/'><span><b><font color=#36C1E2>Leyes Laborales</font></b></span></a></li>";
		//echo "<li class='dropdown2'><a target='_blank' href='http://www.saireh.com/formatos-de-rrhh/'><span><b><font color=#36C1E2>Formatos RRHH</font></b></span></a></li>";
		//echo "<li class='dropdown2'><a target='_blank' href='https://venezuela.saireh.com/registre-su-pago/'><span><b><font color=#36C1E2>Registrar Pago</font></b></span></a></li>";



		echo "</ul></li>";
	}
	if ($_SESSION['id_validar'] != '0') {

		//====== Inicio de Empresa
		if (substr($_SESSION['acceso_validar'], 1, 1) == '1') {
			echo "<li class='dropdown2'><a href='#'><span><b>Empresa</b></span></a>
					  <ul>";

			if (substr($_SESSION['acceso_validar'], 15, 1) == '1' || (($_SESSION['usuario_validar'] == 'MASTER' ) && $_SESSION['id_validar'] != '0')) {
				echo "<li class='dropdown2'><a href='master_empresa_actual.php'><span><b><font color=#36C1E2>Datos de Empresa</font></b></span></a></li>";
			}

			if (substr($_SESSION['acceso_validar'], 6, 1) == '1') echo "<li ><a href='archivo_trabajador_estructura.php'><span><b><font color=#36C1E2>Estructura (Organigrama)</font></b></span></a></li>";
			if (substr($_SESSION['acceso_validar'], 14, 1) == '1') echo "<li class='dropdown2'><a href='archivo_trabajador_turno.php'><span><b><font color=#36C1E2>Turnos/Horarios</font></b></span></a></li>";

			echo "<li class='dropdown2'><a href='master_usuario_clave.php'><span><b><font color=#36C1E2>Cambiar Password</font></b></span></a></li>";


			echo "</ul>
				   </li>";
		}

		//====== Inicio de Trabajadores
		if (substr($_SESSION['acceso_validar'], 5, 1) == '1') {
			echo "<li class='dropdown2'><a href='#'><span><b>Trabajadores</span></b></a>
								<ul>";
			if (substr($_SESSION['acceso_validar'], 5, 1) == '1') echo "<li><a href='archivo_trabajador.php?accion=11'><span><b><font color=#36C1E2>Nuevo Trabajador</b></font></span></a></li>";

			if (substr($_SESSION['acceso_validar'], 5, 1) == '1' && substr($_SESSION['acceso_validar'], 17, 1) == '1') echo "<li><a href='archivo_trabajador.php'><span><b><font color=#36C1E2>Ficha del Trabajador</b></font></span></a></li>";

			if (substr($_SESSION['acceso_validar'], 19, 1) == '1' && substr($_SESSION['acceso_validar'], 17, 1) == '1') echo "<li ><a href='archivo_trabajador_ficha_academica.php'><span><b><font color=#36C1E2>Registro de Capacitaciones</font></b></span></a></li>";

			//if (substr($_SESSION['acceso_validar'],19,1)=='1') echo "<li ><a href='archivo_trabajador_ficha_referencia.php'><span><b><font color=#36C1E2>Ficha de Referencia</font></b></span></a></li>";

			//if (substr($_SESSION['acceso_validar'],19,1)=='1') echo "<li ><a href='archivo_trabajador_ficha_laboral.php'><span><b><font color=#36C1E2>Ficha Laboral</font></b></span></a></li>";

			if (substr($_SESSION['acceso_validar'], 5, 1) == '1' && substr($_SESSION['acceso_validar'], 17, 1) == '1') echo "<li><a href='archivo_trabajador_retirado.php'><span><b><font color=red>Trabajadores Retirados</font></b></span></a></li>";

			//if (substr($_SESSION['acceso_validar'], 5, 1) == '1') echo "<li><a href='archivo_trabajador_retirado_historico.php'><span><b><font color=#C725DE>Trabajadores Retirados antes de 2021</font></b></span></a></li>";

			if (substr($_SESSION['acceso_validar'],5,1)=='1' && ($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['usuario_validar'] == 'MERINORRHH')) echo "<li><a href='archivo_trabajador_reactivar.php'><span><b><font color=red>!!!--Reactivar Trabajador--!!! </font></b></span></a></li>";

			//if (substr($_SESSION['acceso_validar'],7,1)=='1') echo "<li><a href='archivo_trabajador_sueldo.php'><span><b><font color=#36C1E2>Actualizar Sueldos</font></b></span></a></li>";

			if (substr($_SESSION['acceso_validar'], 21, 1) == '1') echo "<li ><a href='archivo_trabajador_cedula.php'><span><b><font color=#36C1E2>Cambio Nro. de C&eacute;dula</font></b></span></a></li>";

			if (substr($_SESSION['acceso_validar'], 27, 1) != '1' && substr($_SESSION['acceso_validar'], 17, 1) == '1') echo "<li class='last'><a href='archivo_trabajador_listado.php'><span><b><font color=#36C1E2>Listado del Personal</font></b></span></a></li>";

			//if (substr($_SESSION['acceso_validar'],8,1)=='1') echo"<li><a href='archivo_trabajador_chequeo.php'><span><b><font color=#36C1E2>Chequeo del Personal</font></b></span></a></li>";
			echo "</ul>";
			echo "</li>";
		}


		//====== Inicio de Nomina
		if ((substr($_SESSION['acceso_validar'], 1, 1) == '1') || (substr($_SESSION['acceso_validar'], 28, 1) == '1') || (substr($_SESSION['acceso_validar'], 32, 1) == '1') || (substr($_SESSION['acceso_validar'], 35, 1) == '1') || (substr($_SESSION['acceso_validar'], 37, 1) == '1') || (substr($_SESSION['acceso_validar'], 30, 1) == '1') || (substr($_SESSION['acceso_validar'], 34, 1) == '1') || (substr($_SESSION['acceso_validar'], 39, 1) == '1') || (substr($_SESSION['acceso_validar'], 29, 1) == '1')) {
			echo "<li class='dropdown2'><a href='#'><span><b>N&Oacute;MINA</b></span></a>
					  <ul>";

			if (substr($_SESSION['acceso_validar'], 27, 1) == '1') echo "<li><a href='archivo_trabajador_recibo.php'><span><b><font color=#36C1E2>Trabajador</b></font></span></a></li>";
			if (substr($_SESSION['acceso_validar'], 27, 1) == '1') echo "<li class='dropdown2'><a href='menu_personal_mail.php'><span><b>Correo Masivo</b></font></span></a></li>";
			if (substr($_SESSION['acceso_validar'], 27, 1) == '1') echo "<li class='dropdown2'><a href='menu_personal_subir.php'><span><b>Subir Registros</b></font></span></a></li>";
			if (substr($_SESSION['acceso_validar'], 27, 1) != '1') {
				/*
                Creación
                acc28 -> Horas Extras
                acc32 -> Retardos
                acc35 -> Salida anticipada
                acc37 -> Ausencias

                Aprobación
                acc29 -> Novedades
                acc39 -> Confirmación de jornada

                Registrar
                acc30 -> Recursos Humanos
                acc34 -> Médicos
                */

				/*Quien tenga permiso de creación de: Horas Extras, Retardos, Salida Anticipada, Ausencias
                  También quien tenga permiso de registrar: Recursos Humanos, Médicos
                */
				if ((substr($_SESSION['acceso_validar'], 28, 1) == '1') || (substr($_SESSION['acceso_validar'], 32, 1) == '1') || (substr($_SESSION['acceso_validar'], 35, 1) == '1') || (substr($_SESSION['acceso_validar'], 37, 1) == '1') || (substr($_SESSION['acceso_validar'], 30, 1) == '1') || (substr($_SESSION['acceso_validar'], 34, 1) == '1') ||  (($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar'] != '0')) {
					// echo "<li><a href='registro_novedades_nomina.php'><span><b><font color=#36C1E2>Registrar Novedad</font></b></span></a></li>";
				}

				//Quien tenga permiso de aprobación de: Confirmación de jornada
				if (substr($_SESSION['acceso_validar'], 39, 1) == '1' || (($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar'] != '0')) {
					//echo "<li><a href='confirmar_jornada_nomina.php'><span><b><font color=#36C1E2>Confirmar Jornada</font></b></span></a></li>";
				}

				//Quien tenga permiso de aprobación de: Aprobación de novedades
				if (substr($_SESSION['acceso_validar'], 29, 1) == '1' || (($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar'] != '0')) {
					//echo "<li><a href='aprobacion_novedades_nomina.php'><span><b><font color=#36C1E2>Aprobar Novedades</font></b></span></a></li>";
				}
				//if (substr($_SESSION['acceso_validar'], 9, 1) == '1') echo "<li><a href='generar_pre_nomina.php'><span><b><font color=#36C1E2>Procesar novedades</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'], 9, 1) == '1')
					echo "<li><a href='pagos_especiales.php'><span><b><font color=#36C1E2>Pagos especiales</font></b></span></a></li>";

				if (substr($_SESSION['acceso_validar'], 40, 1) == '1' || substr($_SESSION['acceso_validar'], 9, 1) == '1') echo "<li><a href='calculo_bono_alimentacion.php'><span><b><font color=#36C1E2>Bonif. especial</font></b></span></a></li>";

				if (substr($_SESSION['acceso_validar'], 40, 1) == '1' || substr($_SESSION['acceso_validar'], 9, 1) == '1')
				echo "<li><a href='pagos_bono_pollo.php'><span><b><font color=#36C1E2>Pago BonoPollo</font></b></span></a></li>";

				if (substr($_SESSION['acceso_validar'], 40, 1) == '1' || substr($_SESSION['acceso_validar'], 9, 1) == '1')
				echo "<li class='dropdown2'><a href='pagos_cestaticket.php'><span><b><font color=#36C1E2>Pagos Cestaticket</font></b></span></a>
							<ul>
							   <li><a target='_blank' href='txt_pago_cestaticket.php'><span>Generar archivos txt</span></a></li>

							</ul>

						</li>";

				if (substr($_SESSION['acceso_validar'], 9, 1) == '1') echo "<li><a href='calculo_carga.php'><span><b><font color=#36C1E2>Cargar por Concepto</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'], 9, 1) == '1') echo "<li><a href='calculo_carga_trabajador.php'><span><b><font color=#36C1E2>Cargar por Trabajador</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'], 10, 1) == '1') echo "<li class='dropdown2'><a href='#'><span><b><font color=#36C1E2>Prestamos >>></font></b></span></a>
							<ul>
							   <li><a href='calculo_prestamo.php'><span>Gestionar Prestamos Personales</span></a></li>

							   <li><a href='calculo_dedasi.php'><span>Reporte de Prestamos</span></a></li>
							</ul>
							</li>";

				if (substr($_SESSION['acceso_validar'], 11, 1) == '1') echo "<li><a href='calculo_reporte.php'><span><b><font color=#36C1E2>Reportes de Pre-Cierre Nomina</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'], 12, 1) == '1') echo "<li><a href='calculo_auditoria.php'><span><b><font color=#36C1E2>Reportes Auditados de Nomina</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'], 13, 1) == '1') echo "<li><a href='calculo_historico.php'><span><b><font color=#36C1E2>Reportes Historicos de Nominas</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'],9,1)=='1') echo"<li><a href='master_tasa_usd.php'><span><b><font color=#36C1E2>Actualizar tasa USD/Bs. Nomina</font></b></span><span><b><font color=red> NUEVO</font></b></span></a></li>";
				if (substr($_SESSION['acceso_validar'],9,1)=='1') echo"<li><a href='master_tasa_usd_2.php'><span><b><font color=#36C1E2>Actualizar tasa USD/Bs. BONIF ESPEC</font></b></span><span><b><font color=red> NUEVO</font></b></span></a></li>";


			}




			echo "</ul>
				   </li>";
		}


		//====== Inicio de Reportes
		if (substr($_SESSION['acceso_validar'], 1, 1) == '1') {
			echo "<li class='dropdown2'><a href='#'><span><b>Reportes</b></span></a>
					  <ul>";

			if (substr($_SESSION['acceso_validar'], 27, 1) != '1') {

				if (substr($_SESSION['acceso_validar'], 13, 1) == '1')

				//if (substr($_SESSION['acceso_validar'],41,1)=='1') echo "<li><a href='generar_bancos.php'><span><b><font color=#36C1E2>Bancos</font></b></span></a></li>";

				echo "<li><a href='calculo_historico.php'><span><b><font color=#36C1E2>Reportes Historicos de Nomina</font></b></span></a></li>";

				

				//echo "<li class='last'><a href='varios_exportar_texto.php'><span><b><font color=#36C1E2>Generar Archivos</font></b></span></a></li>";
				
				
				echo "<li class='dropdown2'><a href='#'><span><b><font color=#36C1E2>Generar Archivos >>></font><font color=red> NUEVO</font></b></span></a>
							<ul>
								<li class='last'><a href='varios_exportar_islr.php'><span><b><font color=#36C1E2>ISLR RETENIDO</font></b></span></a></li>
							  <li class='last'><a href='varios_exportar_faov.php'><span><b><font color=#36C1E2>TXT FAOV</font>  </b></span></a></li>
							  
							  <li class='last'><a href='reporte_INCES.php'><span><b><font color=#36C1E2>Aportes INCES Detallado</font></b></span></a></li>
							</ul>
						</li>";
						
						
				
				echo "<li class='last'><a href='reportes_resumen_contab.php'><span><b><font color=#36C1E2>Archivos Resumen Contab.</font></b></span></a></li>";
				
				echo "<li class='last'><a href='varios_exportar_pasivos.php'><span><b><font color=#36C1E2>resumen Provisiones x Periodo</font></b></span></a></li>";
				
				if ($_SESSION['id_validar']=='104' || $_SESSION['id_validar']=='106' || $_SESSION['id_validar']=='107')
				{
				 
					if ($_SESSION['usuario_validar'] == 'MASTER' 
						|| $_SESSION['usuario_validar'] == 'RBELTRAN' 
						|| $_SESSION['usuario_validar'] == 'YCARRILLO' 
						|| $_SESSION['usuario_validar'] == 'KCANCINES'
						|| $_SESSION['usuario_validar'] == 'SAIREHSOPORTE' )
				echo "<li class='last'><a href='contabilizacion_nomina.php'><span><b><font color=#36C1E2>Contabilizacion de Nómina</font></b></span></a></li>";
				}
				
				
				echo "<li class='dropdown2'><a href='#'><span><b><font color=#36C1E2>Reportes de Vacaciones >>></font></b></span></a>
							<ul>
								<li class='last'><a href='reporte_vacaciones.php'><span><b><font color=#36C1E2>Libro de Vacaciones</font></b></span></a></li>
							  <li class='last'><a href='reporte_vacaciones_general.php'><span><b><font color=#36C1E2>Reporte General Vacaciones</font>  </b></span></a></li>
							</ul>
						</li>";

				//echo "<li class='last'><a href='reporte_vacaciones.php'><span><b><font color=#36C1E2>Libro de Vacaciones</font></b></span></a></li>";

				echo "<li class='last'><a href='reporte_liquidaciones_proces.php'><span><b><font color=#36C1E2>Liquidaciones Procesadas</font><font color=red> NUEVO</font></b></span></a></li>";

				echo "<li class='last'><a href='reporte_costo_laboral.php'><span><b><font color=#36C1E2>Aportes Patronales</font></b></span></a></li>";

				echo "<li class='last'><a href='varios_exportar_tallas.php?exportar=9'><span><b><font color=#36C1E2>Tallas Dotacion</font></b></span></a></li>";


				//echo"<li class='last'><a href='reporte_liquidaciones.php'><span>Reporte de Liquidaciones</span></a></li>";

				echo "<li class='last'><a href='calculo_arc.php'><span><b><font color=#36C1E2>Comprobante Retencion ARC-ISLR</font></b></span></a></li>";

				echo "<li class='dropdown2'><a href='#'><span><b><font color=#36C1E2>Prestaciones Sociales >>></font></b></span></a>
							<ul>

							  <li><a href='reportes_prestaciones.php'><span>Reportes Generales Prestaciones<font color=red> EN PRUEBAS</font></span></a></li>

							   <li><a href='prestaciones_informe.php'><span>Prestaciones por Trabajador</span></a></li>


							   <!-- <li><a href='fideicomiso.php'><span>Fideicomiso x trabajador</span></a></li>
							   <li><a href='reporte_prestaciones_fideicomiso.php'><span>Reporte Fideicomiso por periodo</span></a></li> -->
							</ul>
							</li>";

				//echo"<li class='last'><a href='archivo_trabajador_reporte.php'><span><b><font color=#36C1E2>Vencimientos de Contratos / Documentos</font></b></span></a></li>";

				/* /////se oculta esta secci�n del men�u porque nunca se usa por el usuario - Miguelangel 06/08/2020

								echo"<li class='last'><a href='#'><span>Listados Generales</span></a>
								<ul>";

									   echo"<li><a href='calculo_dedasi.php'><span>Listado de Prestamos</span></a></li>";
									   echo"<li><a href='calculo_lph.php'><span>Listado de FAOV</span></a></li>";
									   echo"<li><a href='calculo_ingreso.php'><span>Ingresos Anuales</span></a></li>";
								echo "</ul>";
							    echo "</li>";

								*/ //////////////////////////////////////////////////



			}


					/////se oculta esta secci�n del men�u porque nunca se usa por el usuario - Miguelangel 06/08/2020
						if (substr($_SESSION['acceso_validar'],27,1)!='1') {
							echo "<li class='dropdown2'><a href='#'><span>Exportar Data</span></a>
							<ul>
							   <li><a href='varios_exportar.php?exportar=1'><span>Exportar Datos de Trabajadores</span></a></li>
							   <li><a href='varios_exportar.php?exportar=2'><span>Exportar Constantes</span></a></li>
							   <li><a href='varios_exportar.php?exportar=3'><span>Exportar Conceptos</span></a></li>
							   <li><a href='varios_exportar.php?exportar=4'><span>Exportar Conc/Individual</span></a></li>
							   <li><a href='varios_exportar.php?exportar=5'><span>Exportar Estructuras</span></a></li>

							</ul>
							</li>";
						}



			if (substr($_SESSION['acceso_validar'], 27, 1) != '1')
				echo "<li class='dropdown2'><a href='archivo_trabajador_estadistica.php'><span><b><font color=#36C1E2>Estad&iacute;sticas</font></b></span></a></li>";
			/*
					if (substr($_SESSION['acceso_validar'],27,1)!='1')
					{
					echo"<li class='last'><a href='varios_exportar.php?exportar=1'><span><b><font color=#36C1E2>Exportar Datos de Trabajadores</font></b></span></a></li>";
					}
					*/

			echo "</ul>
				   </li>";
		}


		//====== Inicio de Calculos
		if (substr($_SESSION['acceso_validar'], 2, 1) == '1' || substr($_SESSION['acceso_validar'], 3, 1) == '1' || substr($_SESSION['acceso_validar'], 4, 1) == '1') {
			echo "<li class='dropdown2'><a href='#'><span><b>C&Aacute;LCULOS</b></span></a>
					  <ul>";

			//============================================================================= profesional y personal
			if ($_SESSION['modo_validar'] != '0') {
				echo "<li class='dropdown2'><a href='profesional_parametro.php'><span><font color=#36C1E2><b>Par&aacute;metros</font></b></span></a></li>";
				echo "<li class='dropdown2'><a href='profesional_trabajador.php'><span>Trabajador</span></a></li>";
			}

			//============================================================================= prestaciones sociales
			if (substr($_SESSION['acceso_validar'], 2, 1) == '1') {

					echo "<li class='dropdown2'><a href='prestaciones_remuneracion.php'><span><font color=#36C1E2><b>Remuneraciones del Trabajador</b></font></span></a></li>";

				echo "<li class='dropdown2'><a href='prestaciones_anticipos.php'><span><font color=#36C1E2><b>Anticipos de Prestaciones</b></font></span></a></li>";
				echo "<li class='dropdown2'><a href='prestaciones_intereses.php'><span><font color=#36C1E2><b>Pagos de Intereses sobre Prestaciones</b></font></span></a></li>";
				echo "<li class='dropdown2'><a href='liquidaciones_retiro.php'><span><font color=#36C1E2><b>Liquidaci&oacute;n del Personal</b></font></span></a></li>";
			}
			//============================================================================= vacaciones
			if (substr($_SESSION['acceso_validar'], 3, 1) == '1') {
				echo "<li class='dropdown2'><a href='calculo_vacaciones.php'><span><font color=#36C1E2><b>Vacaciones</font></b></span></a></li>";



				//echo "<li class='dropdown2'><a href='calculo_vacaciones_colectivas.php'><span>Vacaciones Colectivas</span></a></li>";
			}
			/*
			if (substr($_SESSION['acceso_validar'], 42, 1) == '1') {

			echo "<li class='dropdown2'><a href='aprobacion_vacaciones.php'><span><font color=#36C1E2><b>Aprobar Vacaciones</font><font color=red> NUEVO</font></b></span></a></li>";
			}
			*/
			
			//==============================================================Calcular prestaciones generales mensualmente
			/*
			if ($_SESSION['usuario_validar'] == 'MASTER' || $_SESSION['usuario_validar'] == 'SAIREH' )
				echo "<li class='dropdown2'><a href='prestaciones_informe_general.php'><span><font color=#36C1E2><b>CALCULAR PRESTACIONES</b></font></span></a></li>";
			////Este menú se inhabilitó porque el proceso de cálculo de prestaciones ahroa se ejecuta automáticamente al momento de entrar a generar el Reprote General de Prestaciones (Módulo REPORTES) Actualización que trabajó Rodolfo --- Miguelangel Molina 19/09/2023
			*/ 
			
			
			//============================================================================= Utilidades
			if (substr($_SESSION['acceso_validar'], 4, 1) == '1')
				echo "<li class='dropdown2'><a href='calculo_utilidades.php'><span><font color=#36C1E2><b>Utilidades</b></font></span></a></li>";
			//============================================================================= vacaciones
			if (substr($_SESSION['acceso_validar'], 2, 1) == '1' || substr($_SESSION['acceso_validar'], 3, 1) == '1')




				echo "</ul></li>";
		}
	}
	/*
//====== Inicio de Planillas
		echo "<li class='dropdown2'><a href='#'><span><b>PLANTILLAS</span></b></a>
			  <ul>";
			    echo "<li class='dropdown2'><a href='solicitud_permiso_laboral.php' target='_blank'><span>Solicitud de Permiso Laboral</span></a></li>";
			    echo "<li class='dropdown2'><a href='solicitud_anticipo_prestacion.php' target='_blank''><span>Solicitud de Anticipo de Prestaciones Sociales</span></a></li>";
				echo "</ul></li>";
				*/

	if (substr($_SESSION['acceso_validar'], 2, 1) == '1') {
		echo "<li class='dropdown2'><a href='menu_soporte.php' ><span><b>Soporte</span></b></a></li>";
	}


	//============================================================================= SSL Seguridad
	/*
		if (substr($_SESSION['acceso_validar'],22,1)=='11') {
			echo "<li class='dropdown2'><a href='#'><span><b>SEGURIDAD</span></b></a>
					  <ul>";
					    echo "<li class='dropdown2'><a href='#'><span>Notificaci&oacute;n de Riesgos</span></a></li>";
					    echo "<li class='dropdown2'><a href='#'><span><b>Constancia Entrega del Reglamento Interno</b></span></a></li>";
						echo "</ul></li>";


			echo "</ul></div>";
		}
			*/


	echo "<li class='dropdown2'><a href='index.php'><span><b>Cerrar</span></b></a></li>

		  </ul>
		</div>
	 </div>

    </div>
   </div>
   <img style='width:100%; height:auto;' src='img2/slider.jpg'></br></br>";
}
?>
